> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rezora.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List credit transactions



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/billing/transactions/
openapi: 3.0.3
info:
  title: Rezora IO API
  version: 1.0.0
  description: >-
    Partner-safe Rezora API reference for authenticated customer and integration
    workflows.
servers:
  - url: https://api.rezora.io
    description: Production API
security: []
tags:
  - name: Billing & Credits
    description: Credit balances, transactions, and receipts.
  - name: Agents
    description: AI agent templates and active campaign-ready agents.
  - name: Contacts
    description: Contact groups, contacts, and imports.
  - name: Campaigns
    description: Campaign creation, dispatch, reporting, recordings, and call attempts.
  - name: Appointments & Calls
    description: Booked appointments and customer call records.
paths:
  /api/v1/billing/transactions/:
    get:
      tags:
        - Billing & Credits
      summary: List credit transactions
      operationId: billing_list_transactions
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
          description: Maximum number of rows to return.
        - in: query
          name: offset
          schema:
            type: integer
          description: Zero-based pagination offset.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsListResponseSchema'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    TransactionsListResponseSchema:
      type: object
      properties:
        transactions:
          type: array
          items:
            type: object
            additionalProperties: {}
        has_more:
          type: boolean
      required:
        - has_more
        - transactions
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````